package be.iminds.ilabt.jfed.restapi.json.util;

import be.iminds.ilabt.jfed.fedmon.webapi.service.json.JsonLdObjects;
import be.iminds.ilabt.jfed.restapi.json.*;

import java.util.Arrays;
import java.util.List;

/**
 * RestApiJsonLdObjects
 */
public class RestApiJsonLdObjects extends JsonLdObjects {

    public static List<Class<? extends BasicLdObject>> allrestApiObjectClasses =
            Arrays.asList(
                    Experiment.class,
                    SpeaksForCredential.class,
                    User.class);

    private static RestApiJsonLdObjects instance = null;
    public static RestApiJsonLdObjects getInstance() {
        if (instance == null) {
            instance = new RestApiJsonLdObjects();
        }
        return instance;
    }
    private RestApiJsonLdObjects() {
        super(allrestApiObjectClasses);
        assert LdObjectWithId.class.isAssignableFrom(Experiment.class);
    }

    /**
     * Singletons have no ID, but they do have an URI.
     * */
    @Override
    public boolean isSingleton(LdObjectWithId fedmonObject) {
//        if (fedmonObject instanceof ?) return true;
        return false;
    }
    /**
     * Singletons have no ID, but they do have an URI.
     * */
    @Override
    public boolean isSingleton(LdObjectWithIdBuilder builder) {
//        if (builder instanceof ?) return true;
        return false;
    }
}
